%global _empty_manifest_terminate_build 0
%global pypi_name xyzservices

Name:           python-%{pypi_name}
Version:        2023.7.0
Release:        1
Summary:        Xyzservices is a lightweight library providing a repository of available XYZ services offering raster basemap tiles.


License:        BSD
URL:            https://github.com/geopandas/xyzservices
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-hatchling
BuildRequires:  python3-virtualenv
BuildRequires:  python3-poetry-core

%description
Xyzservices is a lightweight library providing a repository of available XYZ services offering raster basemap tiles.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Xyzservices is a lightweight library providing a repository of available XYZ services offering raster basemap tiles.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/xyzservices*.dist-info/
%{python3_sitelib}/xyzservices
%{_datadir}/%{pypi_name}/

%changelog
* Fri Aug 18 2023 zoujiancang<jczou@isoftstone.com> - 2023.7.0-1
- Initial package

